
QGIS Application - Bug report #1235

Invalid multiline string literal in dxf2shp converter

2008-08-21 03:42 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11295

Description

In file [source:trunk/qgis/src/plugins/dxf2shp_converter/dxf2shpconvertergui.cpp@9053#L129 dxf2shpconvertergui.cpp], in function 

dxf2shpConverterGui::on_buttonBox_helpRequested(), long multiline string literal is buggy. It should not include semicolon at the end of

each line. It makes that each line is a separate exception that has no effect. So, incomplete emessage is printed.

Associated revisions

Revision 4d9ba4f3 - 2008-08-22 12:50 AM - Jürgen Fischer

fix #1234 & #1235

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9114 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 399e2636 - 2008-08-22 12:50 AM - Jürgen Fischer

fix #1234 & #1235

git-svn-id: http://svn.osgeo.org/qgis/trunk@9114 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-21 03:52 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

thanks. fixed in
